Subject: About some warning building Emacs master on MSYS2/MINGW64 [autogen, configure]
From: Angelo Graziosi <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 25 Feb 2023 09:45:56 +0100 (CET)
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that building Emacs (master) on Windows with MSYS2/MINGW64 now shows these warnings

$ ./autogen.sh
[...]
Running 'autoreconf -fi -I m4' ...
ac-wrapper: autoreconf: warning: auto-detected versions not found ( ); falling back to latest available
You can now run './configure'.

./configure
[...]
checking for xattr library with ATTR_ACTION_PERMISSIONS... no
configure: WARNING: libattr development library was not found or not usable.
configure: WARNING: GNU Emacs will be built without xattr support.
checking whether readlink signature is correct... yes
[...]

I wonder if they are to be expected and if we can do something to avoid them.

Thanks,
 Angelo.